---
title: Retrieve Procedure
slug: retrieve-procedure
docTags: 
createdAt: 2023-09-12T11:08:12.165Z
---

Retrieve information on medical procedures performed on a patient. Access details on surgical interventions, diagnostic procedures, and therapeutic treatments. Essential for understanding a patient's medical interventions and healthcare procedures.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of procedures can be done by sending a **GET** request. The request is sent to the Procedure endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/Procedure?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Procedures. The full Procedure resource can be retrieved with the identifier of the selected Procedure from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve Procedure interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../Procedure?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR Procedure](http://hl7.org/fhir/procedure.html) resource, can be used as well.&#x20;

| **Parameters combination** | **Type**             | **Required\*** | **Description**                                                       |
| -------------------------- | -------------------- | -------------- | --------------------------------------------------------------------- |
| `patient`                  | `reference`          |                | The patient to search data for                                        |
| `patient` + `date`         | `reference` + `date` |                | The patient to search data for + the date of creation of the resource |

*\*At least one of the combinations has to be supported*

### Example API call

::::CodeDrawer{title="Retrieve Procedure for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-procedure-for-patient" legacyHash="G1WsY-g94tNIK6xvK94hA"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Procedure?patient=2078&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_T_sx5CEqgi37wTaptEkGAV9Ggsg4UCzrzOc4Xe29Sto.jfqRUlKTeevVwUmPD6djKD2lAWDh5vRMfIf0PKpNQsU'
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "e8e8acc9-4b97-4602-a8fc-029dded1fdcb",
    "meta": {
        "lastUpdated": "2023-10-17T09:34:02.885+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Procedure?patient=2078&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Procedure/2137",
            "resource": {
                "resourceType": "Procedure",
                "id": "2137",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-10-05T14:29:18.487+00:00",
                    "source": "#eob37A1o2St3gd95",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Routine Appendectomy</div>"
                },
                "status": "completed",
                "code": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "80146002",
                            "display": "Appendectomy (Procedure)"
                        }
                    ],
                    "text": "Appendectomy"
                },
                "subject": {
                    "reference": "Patient/2078"
                },
                "performedDateTime": "2013-04-05",
                "recorder": {
                    "reference": "Practitioner/2079",
                    "display": "Dr Cecil Surgeon"
                },
                "asserter": {
                    "reference": "Practitioner/2079",
                    "display": "Dr Cecil Surgeon"
                },
                "performer": [
                    {
                        "actor": {
                            "reference": "Practitioner/2079",
                            "display": "Dr Cecil Surgeon"
                        }
                    }
                ],
                "reasonCode": [
                    {
                        "text": "Generalized abdominal pain 24 hours. Localized in RIF with rebound and guarding"
                    }
                ],
                "followUp": [
                    {
                        "text": "ROS 5 days  - 2013-04-10"
                    }
                ],
                "note": [
                    {
                        "text": "Routine Appendectomy. Appendix was inflamed and in retro-caecal position"
                    }
                ]
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

